Loading...
Searching...
No Matches
BALL::PDB::Residue Struct Reference

`#include <BALL/FORMAT/PDBdefs.h>`

## Public Member Functions

| Residue ()
void | clear ()
void | set (const ::BALL::Residue &residue)

## Public Attributes

ResidueName | name
Character | chain_ID
Integer | sequence_number
AChar | insertion_code

## Detailed Description

Definition at line 340 of file PDBdefs.h.

## Constructor & Destructor Documentation

## Residue()

BALL::PDB::Residue::Residue | ( |  | ) |

inline

Definition at line 347 of file PDBdefs.h.

## Member Function Documentation

## clear()

void BALL::PDB::Residue::clear | ( |  | ) |

inline

Definition at line 348 of file PDBdefs.h.

## set()

void BALL::PDB::Residue::set | ( | const ::BALL::Residue & | residue | ) |

inline

Definition at line 355 of file PDBdefs.h.

## Member Data Documentation

## chain_ID

Character BALL::PDB::Residue::chain_ID

Definition at line 343 of file PDBdefs.h.

## insertion_code

AChar BALL::PDB::Residue::insertion_code

Definition at line 345 of file PDBdefs.h.

## name

ResidueName BALL::PDB::Residue::name

Definition at line 342 of file PDBdefs.h.

## sequence_number

Integer BALL::PDB::Residue::sequence_number

Definition at line 344 of file PDBdefs.h.